%define module_name	hsflinmodem
%define module_version	5.03.27mbsibeta02122600
%define module_release	alt6.6

%define kversion	2.4.26
%define krelease	alt6
%define flavour		std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	hsflinmodem kernel modules for Conexant Soft Modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildPreReq:	kernel-build-tools >= 0.7
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86


%description
hsflinmodem kernel modules for Conexant Soft Modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C modules KERNELSRC=%_includedir/linux-%kversion-%flavour CC=gcc all

%install
mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%make_build -C modules KERNELSRC=%_includedir/linux-%kversion-%flavour \
    HSF_MODS_DIR=$RPM_BUILD_ROOT/%module_dir modules_install

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc LICENSE

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt6.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt5.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt4.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt3.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt2.6
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sun Sep 28 2003 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt1.6
- reverted to 5.03.27mbsibeta02122600 (Serial not needed due to version format)
- removed wrong URL

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 5.03.27lnxtbeta03042700-alt14.6
- replace /usr/include to _includedir macro
- added build requires

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt13
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt12
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt11
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt10
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt9
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt8
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt7
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt6
- rebuilt with 2.4.21rel-alt7

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt4
- rebuilt with 2.4.21rel-alt5

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt3
- rebuilt with 2.4.21rel alt3

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt2
- rebuilt with 2.4.21rel

* Tue May 13 2003 Peter Novodvorsky <nidd@altlinux.org> 5.03.27lnxtbeta03042700-alt1
- initial release 
